<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
    <head>
        <title>Virtual Teacher</title>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    </head>
    <body>
        <nav class="navbar navbar-expand navbar-light bg-light">
            <a class="navbar-brand col-sm-3" th:href="@{/home}">Virtual Teacher</a>
        </nav>
        <div class="container">
            <div class="row mt-3">
                <div class="col-6 offset-3">
                    <div class="text-danger" th:if="${error}" th:text="${error}"/>
                    <h2>Register Page</h2>
                    <form th:action="@{/register}" th:object="${user}" method="post">
                        <div class="form-group">
                            <label>Username</label>
                            <input type="text" class="form-control" id="username" name="username" th:field="*{username}"/>
                        </div>
                        <div class="form-group">
                            <label>Password</label>
                            <input type="password" class="form-control" th:field="*{password}"/>
                        </div>
                        <div class="form-group">
                            <label>Mail</label>
                            <input type="text" class="form-control" th:field="*{mail}"/>
                        </div>
                        <button type="submit" class="btn btn-primary">Register</button>
                    </form>
                </div>
            </div>
        </div>
    </body>
</html>